/* ================ Reset ================ */
* {
    margin: 0;
    padding: 0;
    gap: 0;
    box-sizing: border-box;
    user-select: none;
}

hr {
    border: none;
}

li {
    list-style: none;
}

a {
    color: black;
    text-decoration: none;
}

button {
    border: none;
    background: none;
}

img {
    -webkit-user-drag: none;
}

img, video {
    max-width: 100%;
}



/* ================ Global ================ */
h1, h2, h3 {
    color: white;
    font-family: system-ui;
}

li, p, a {
    color: white;
    font-family: system-ui;
    font-weight: 500;
}

h2 a {
    font-weight: inherit;
}

button {
    cursor: pointer;
    color: white;
    font-family: system-ui;
    font-weight: 500;
}




/* ============================================ */
/* ================ Background ================ */
/* ============================================ */
html {
    scroll-behavior: smooth;
    background: black;
}

body {
    min-height: 100vh;
}

body::before {
    content: '';
    position: fixed;
    inset: 0;
    z-index: -1;
    background: linear-gradient(45deg, hsl(0, 0%, 2%), hsl(0, 0%, 10%));
}




/* ======================================== */
/* ================ Header ================ */
/* ======================================== */
header div {
    display: flex;
    justify-content: center;
    align-items: center;
    /* background: darkorange; */
    background: linear-gradient(hsl(39, 100%, 50%), hsl(33, 100%, 40%));
    height: 65px;
}

header h1 {
    /* color: white; */
    margin-top: -5px;
    text-shadow: hsl(0, 0%, 0%, 33%) 0 0 12px;
}

header hr {
    /* height: 1px; */
    /* background: white; */
}



/* ================ Navbar ================ */
nav {
    position: sticky;
    top: 0;
    z-index: 2;
    background: black;
    box-shadow: hsl(0, 0%, 0%, 25%) 0 6px 6px;
}

nav ul {
    overflow: hidden;
    display: flex;
    align-items: center;
    margin: auto;
    max-width: 1080px;
    height: 25px;
    padding-left: 12px;
}

nav a {
    white-space: nowrap;
    margin-right: 13px;
}

nav a:hover {
    color: darkorange;
}



/* ================ Carrousel ================ */
.carrousel {
    position: fixed;
    z-index: 2;
    top: 50%;

    font-weight: bolder;
    border-radius: 15px;
    width:  30px;
    height: 30px;

    /* color: white; */
    background: hsl(39, 85%, 38%);
    box-shadow: rgba(0,0,0, 0.50) 0 0 12px;
}

.carrousel:hover {
    background: hsl(39, 100%, 43%);
}

.carrousel#prev { left:  10px; }
.carrousel#next { right: 10px; }




/* ====================================== */
/* ================ Main ================ */
/* ====================================== */
main {
    margin: auto;
    max-width: 1080px;
    min-height: 100vh;
    padding-top:    30px;
    padding-left:   10px;
    padding-right:  10px;
    padding-bottom: 50px;
}




/* ================ Sections ================ */
section {
    overflow: hidden;
    /* border-radius: 5px; */
    /* background: hsl(0, 0%, 95%); */
    background: linear-gradient(45deg, hsl(0, 0%, 100%, 8%), hsl(0, 0%, 100%, 3%));
    box-shadow: hsl(0, 0%, 10%, 25%) 0 0 15px;
}

section h2, section h3 {
    display: flex;
    align-items: center;
    justify-content: center;
    /* text-align: center; */
    padding-top:    8px;
    /* padding-left: 15px; */
    padding-bottom: 3px;
    /* height: 50px; */
    text-shadow: hsl(0, 0%, 0%, 90%) 0 0 12px;
}




/* ================ Containers ================ */
section div, section ul {
    padding-top:    10px;
    padding-left:   12px;
    padding-right:  12px;
    padding-bottom: 20px;
}



/* ========================================= */
/* ================ Customs ================ */
/* ========================================= */

/* ================ description ================ */
#description li {
    white-space: nowrap;
    margin-bottom: 1px;
}

#description li a:hover {
    color: orange;
}

#description li button {
    background: linear-gradient(hsl(300, 100%, 27%), hsl(300, 100%, 22%));
    border-radius:  3px;
    padding-top:    2px;
    padding-left:   5px;
    padding-right:  5px;
    padding-bottom: 3px;
}

#description li button:hover {
    background: linear-gradient(hsl(300, 100%, 32%), hsl(300, 100%, 27%));
}



#description hr {
    background: hsl(0, 0%, 100%, 33%);
    height:          2px;
    margin-top:      4px;
    margin-left:    12px;
    margin-right:   12px;
    margin-bottom:  12px;
}



#description div {
    display: flex;
    /* grid-template-columns: repeat(2, 1fr); */
    /* column-count: 2; */
    column-gap: 12px;
}

#description img {
    display: block;
    object-fit: cover;
    aspect-ratio: 3/4;
    width: 50%;
    /* height: 100%; */
    /* margin: auto; */
    /* box-shadow: hsl(0, 0%, 0%, 50%) 0 0 12px; */
}



#description {
    margin-bottom: 30px;
}





/* ================ download ================ */
#download {
    display: block;
    margin: auto;
    width: fit-content;
}

#download button {
    border-radius:   8px;
    height:         40px;
    padding-left:   20px;
    padding-right:  20px;
    background: linear-gradient(hsl(300, 100%, 27%), hsl(300, 100%, 22%));
    box-shadow: hsl(0, 0%, 0%, 50%) 0 0 15px;
}

#download button:hover {
    background: linear-gradient(hsl(300, 100%, 32%), hsl(300, 100%, 27%));
}

#download button h2 {
    margin-top: -2px;
    text-shadow: hsl(0, 0%, 0%, 50%) 0 0 15px;
}




/* ================ trailer ================ */
#trailer {
    margin-top: 35px;
}

#trailer div {
    display: flex;
    justify-content: center;
}

#trailer video {
    width: 100%;
    box-shadow: hsl(0, 0%, 0%, 25%) 0 0 13px;
}



#trailer hr {
    background: hsl(0, 0%, 100%, 33%);
    height:          2px;
    margin-top:     10px;
    margin-left:    12px;
    margin-right:   12px;
    margin-bottom:  20px;
}



#trailer ul {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(340px, 1fr));
    column-gap: 10px;
    row-gap:    12px;
}

#trailer ul img {
    object-fit: cover;
    width:  100%;
    height: 100%;
}




/* ================ posts ================ */
.posts {
    margin-top: 50px;
}

.posts ul {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    column-gap: 10px;
    row-gap:    20px;
}



.posts ul a {
    overflow: hidden;
    border-radius: 5px;
    background: black;
    transition: 80ms;
}

.posts ul a:hover {
    box-shadow: hsl(0, 0%, 100%, 10%) 0 0 10px;
}

.posts ul a:hover img {
    filter: brightness(1.10);
}
.posts ul a:hover p {
    color: orange;
}



.posts ul img {
    object-fit: cover;
    /* aspect-ratio: 2/3; */
    aspect-ratio: 3/4;
    transition: 80ms;
}

.posts ul p {
    white-space: nowrap;
    display: flex;
    align-items: center;
    height: 35px;
    padding-left: 12px;
    background: linear-gradient(45deg, hsl(0, 0%, 0%), hsl(0, 0%, 9%));
    transition: 80ms;
}





/* ================ cover ================ */
/* #cover {
    margin-top: 45px;
} */

/* #cover img {
    display: block;
    margin: auto;
} */


/* ================ preview ================ */
/* #preview {
    margin-top: 45px;
} */

/* #preview ul {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(350px, 1fr));
    column-gap: 10px;
    row-gap:    12px;
} */

/* #preview ul img {
    object-fit: cover;
    height: 100%;
} */



/* ======================================== */
/* ================ Footer ================ */
/* ======================================== */

/* ================ Navigation ================ */
#gohead {
    position: fixed;
    bottom: 25px;
    right:  25px;

    border-radius: 15px;
    width:  30px;
    height: 30px;
    background: hsl(39, 85%, 40%);
    box-shadow: rgba(0,0,0, 0.50) 0 0 12px;
}

#gohead:hover {
    background: hsl(39, 100%, 45%);
}

#gohead p {
    /* color: white; */
    font-size: 15px;
    margin-top: -5px;
}




/* ================ Footer ================ */
footer {
    display: flex;
    justify-content: center;
    align-items: center;
    /* background: black; */
    /* background: linear-gradient(hsl(0, 0%, 10%), black); */
    background: linear-gradient(hsl(39, 100%, 50%), hsl(33, 100%, 40%));
    height: 90px;
    box-shadow: black 0 0 15px;
}

footer h1 {
    /* color: white; */
    text-shadow: hsl(0, 0%, 0%, 33%) 0 0 12px;
}